com.sun.jna

## Class CallbackParameterContext

- java.lang.Object
- - com.sun.jna.FromNativeContext
  - - com.sun.jna.CallbackParameterContext

-     public class CallbackParameterContext
      extends FromNativeContext

  Provide argument conversion context for a callback invocation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CallbackParameterContext(java.lang.Class javaType, java.lang.reflect.Method m, java.lang.Object[] args, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getArguments()`
    `int` | `getIndex()`
    `java.lang.reflect.Method` | `getMethod()`

    - ### Methods inherited from class com.sun.jna.FromNativeContext

      `getTargetType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackParameterContext

          CallbackParameterContext(java.lang.Class javaType,
                                  java.lang.reflect.Method m,
                                  java.lang.Object[] args,
                                  int index)

  - ### Method Detail

    - #### getMethod

          public java.lang.reflect.Method getMethod()

    - #### getArguments

          public java.lang.Object[] getArguments()

    - #### getIndex

          public int getIndex()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.